<?php declare(strict_types=1);
/**
 * Banker
 *
 * A Caching library implementing psr/cache
 *
 * PHP version 7.0
 *
 * @package     Banker
 * @author      Timothy J. Warren <tim@timshomepage.net>
 * @copyright   2016 - 2017  Timothy J. Warren
 * @license     http://www.opensource.org/licenses/mit-license.html  MIT License
 * @version     1.0.1
 * @link        https://git.timshomepage.net/timw4mail/banker
 */
namespace Aviat\Banker\Tests\Driver;

use Aviat\Banker\Driver\RedisDriver;

class RedisDriverTest extends DriverTestBase {
	
	public function setup()
	{
		$config = [];
		if (array_key_exists('REDIS_HOST', $_ENV)) 
		{
			$config['scheme'] = 'tcp';
			$config['host'] = $_ENV['REDIS_HOST'];
			$config['port'] = 6379;
		}
		
		$this->driver = new RedisDriver($config);
		$this->driver->flush();
	}
	
}